# $Revision: 1.12 $, $Date: 2004/08/19 11:27:37 $
Summary:	Shell script to automate ripping and encoding of CD's
Summary(pl):	Skrypt shella do automatyzacji zrzucania i przetwarzania kompaktw
Name:		ripenc
Version:	0.7
Release:	4
Group:		Applications/Sound
License:	GPL
Source0:	http://www.asde.com/~mjparme/%{name}%{version}.tar.gz
# Source0-md5:	c51ecce28d63d27444437be2d35261a6
Patch0:		%{name}-home_etc.patch
Patch1:		%{name}-defaults.patch
URL:		http://www.asde.com/~mjparme/
Requires:	dialog
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a Bourne shell script that automates the ripping, encoding,
and naming of CD's. It uses cda for CDDB lookups, cdparanoia, cdda2wav
or tosha (a FreeBSD ripper) for ripping, and bladeenc, 8hz-mp3 or
l3enc to encode the wav files.

%description -l pl
To jest skrypt Bourne shella ktry automatyzuje zgrywanie,
przetwarzanie i nazywanie kompaktw. Uywa cda do wyszukiwania w bazie
CDDB, cdparanoi, cdda2wav lub tosha (pod FreeBSD) do zrzucania
zawartoci, oraz bladeenca, 8hz-mp3 lub l3enca do kodowania plikw wav
do postaci mp3.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1

%build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}
install ripenc $RPM_BUILD_ROOT%{_bindir}


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ripenc
%doc README Changelog KNOWN_BUGS TODO

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ripenc.spec,v $
Revision 1.12  2004/08/19 11:27:37  undefine
- release 4

Revision 1.11  2003/12/01 02:45:45  undefine
- release 3 to rebuild with ac

Revision 1.10  2003/07/11 12:28:24  ankry
- URL fixes and other cosmetics

Revision 1.9  2003/05/28 13:01:39  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 06:26:20  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2002/11/29 22:46:19  ankry
- massive attack: new %%doc

Revision 1.6  2002/05/08 11:36:40  orzech
- renamed home_etc patch

Revision 1.5  2002/02/22 23:29:41  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/02/18 08:44:03  marcus
- rel.2, adapterized

Revision 1.3  2002/01/18 02:14:48  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2001/09/27 08:41:41  migo
- adapterized

Revision 1.1  2000/07/17 12:51:06  zagrodzki
- initial release

